Subject: Re: [Roll] [ROLL] WGLC of useof rplinfo

From: Brian E Carpenter <[email-masked]>
Date: Mon, 27 Nov 2017 16:46:39 +1300

On 22/11/2017 21:56, peter van der Stok wrote:

<snip>

> I have a review request for you from the ROLL WG.
> You previously reviewed useofrplinfo wrt how headers are
> inserted.  In the light of RFC8200 being published, could you access 
> whether
> useofrplinfo is inline with the new guidance as part of the useofrplinfo 
> WGLC?
> 
> Please post to the roll ML, and please cc 6man.
> 
> Many thanks,
> 
> peter

I looked at the way the hop-by-hop option is redefined here, and the
suggested use of IPv6-in-IPv6 encapsulation to attach the HbH option
to packets. To me it seems consistent with RFC 8200.

That's the only aspect I reviewed.

A couple of nits:

The phrases "IPv6-in-IPv6", "IP-in-IP" and "IPIP" occur pretty randomly
and I think it's confusing. I suggest picking one, defining it carefully
in section 2.1, and using it consistently.

> 10.  IANA Considerations
> 
>    This document updates the registration made in [RFC6553] Destination
>    Options and Hop-by-Hop Options registry from 0x63 to 0x23.
> 
> 
>   Hex Value  Binary Value
>              act  chg  rest     Description              Reference
>   ---------  ---  ---  -------  -----------------       ----------
>    0x23      00    1   00011   RPL Option                [RFCXXXX]
>    0x63      01    1   00011   RPL Option(DEPRECATED) [RFC6553][RFCXXXX]

I don't think you can *tell* IANA to do this, because the whole 8 bits
are allocated for a given use, not just the bottom 5. You can ask them to
mark 0x63 as deprecated, and request a new 00 1 xxxxx option code. You
can even suggest politely to assign 00 1 00011, but it's their decision.

Regards
   Brian